Bug 72466 - Installer hangs while formatting software Raid parition on clean installation
Installer hangs while formatting software Raid parition on clean installation
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: raidtools (Show other bugs)
7.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Doug Ledford
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-23 21:14 EDT by Need Real Name
Modified: 2007-04-18 12:45 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-27 18:13:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-08-23 21:14:30 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.79 [en] (WinNT; U)

Description of problem:
Have matched pair of Western digital 6GB EIDE hard drives on clone system using ASUS AX6B motherboard with Intel 82440BX AGP chipset
Each drive is on a separate IDE chain. IDE Controller may be the issue, but problem is weird. Am using full software RAID1 on all partitions on these drives under 
Diskdruid. All partitions pass bad sector scan. First six partions (largest is 2GB) all format fine under RAID1, Seventh and last partition  on the disk passes bad 
sector 
scan , but format of filesystem hangs around 20% completed with the drive activity lights off. parftition is slightly larger than 3GB. all FS are speced as RAID1 EXT3 
under  Druid.

If I reboot system, delete and remake as anew install  all RAID1 partitoins previiously defined  excep for the  last "Hanging"  partiton and leave it and its mirror setup 
as 
standard EXT3 partitions (No RAID, just plain old ext3 filesystems., Then both partitions pass bad sector scans and filesystem creations fine with no apparent 
change 
in size. everything then boots up okay.

I suspect an incompatibility between Kernel  IDE driver in use for installer and IDE chipset on motherboard. It is picky about types of drives on buses. I had to change 
out a cdrom drive for a later model to egt all drives to have the same characteristic. I believe if you run a search on microsoft and Intel  support web sites  regardijng 
the Intel chip set number, you will see the problem i am referring to.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. duplicate motherboard/intel chip set configuration along with9GB  hard/cdrom drives.
2. do full redhat 7.2 install, select software RAID and configure partitons with diskdruid boot 24mb, root 290mb usr 2GB rest 512mb no /tmp on these drives, specify 
bad sector scans
3. continue wiuth installion - it will bad scan the drives, format everything up to the last partition fine and then hangs every time 20% into the 3gb partition with drive 
activity lights off. Too bad you dont have hardware watchdiogs running in the kernel to detect this hung state. Mouse is still moving around screen, so the kernel is 
still 
active to some degree.
	

Actual Results:  Hnags in format at around 20% completed ona  3GB partiton RAID1 (mirrors are on identical drives)

Expected Results:  Format should have completed, and software instalaltion should have then begun from cdrom's

Additional info:

If I dont make this last parttition and it's clone on the otehr drive a  RAID1 setup, but instead setup them up as standrad ext3 with bad scan filesystems, everythign 
works fine. SO RAID (mkraid) is failing for some reason during this installation and hanging.

CNTL-ALT-DEL does not reboot the machine. I have to sue the switch when it is in this state to reboot the system.
Comment 1 Need Real Name 2002-08-27 15:06:29 EDT
Have done further work on problem -

Upgraded  ROM BIOS to latest ASUS release for AX6B MB - no change.

discovered problem is strictly RAID 1 format related.

System installation proceeds if two partitions are formated as EXT3 standalone or as a RAID 0 strip.

The formatter appears via the bar graph to have three distinct phases being graphed.
a short initialization phase (20% of bar graph length) the actual format  phase (about 60% of bar graph length) and the final cleanup or verify phase (last 20%)
The system hangs in between the Initialization phase and the actual format phase

My next step under 7.2 is to reinstall 7.2 setting the partitions to software raid, but not linking them in a raid mirror. Then complete installation and try to run
mkraid manually under root account to see if I actually get error messages being blocked by the installer. Would like input from anyone with software raid expertise.

Note You need to log in before you can comment on or make changes to this bug.